# Данный файл является образцом оформления README
Содержит структуру и примеры заполнения. В ходе цикла лабораторных работ будет обновляться, дополняться и модифицировать. Однако для каждой лабораторной работы должен быть коммит, в котором README содержит актуальную информацию для данной ЛР. 
Просьба называть эти коммиты `LR1_final`, `LR2_final`,...


# Описание проекта
Проект посвящен решеню задачи предсказания цен на квартиры.....
Ссылка на исходную выборку данных 

# Запуск
Для запуска проекта необходимо выполнить команды:
```
git clone ....
cd ...
установка окружения
активация окружения
установка зависимостей
```

# Исследование данных
> Результаты этапа записываются и в блокноте, и в README. Можно просто скопировать

Находится в `./eda/eda.ipynb`. Основные результаты:

В ходе исследования были проведены действия:
* Удалены записи с отрицательным значением цены
* Удалены записи с количеством этажей меньше, чем номер этажа
* ...
* Были проверены столбцы 'feature_1', 'feature_2', 'feature_M' на валидность - данные не противоречивы
* Были удалены столбцы ...
* Для столбцов 'feature_1', 'feature_2' изменен тип данных на int8
* Был сформирован новый признак - `is_first_floor` - находится ли квартира на первом этаже.

В ходе анализа были выявлены следующие закономерности: 
* Цены на квартиры верхних и нижних этажей в среднем ниже остальных (см график `./eda/graph1.png`)
* Другие выводы и закономерности, полученные в ходе eda со ссылками на графики.

Обработанная выборка сохранена в файл `./data/clean_data.pkl`


# Настройка и обучение модели
На настройки модели используется MLFlow...

Для запуска выполнить....
```
Скрипты

```
Исследования находятся в файле `...ipynb`

Лучшая модель показывает такой-то результат, получена в 
`run_id = .....` 

# Создание сервисов
...

